# Group Outcome

The group outcome executes multiple outcomes in order during the same game tick.

```json
{
  "type": "lucky:group",
  "outcomes": [
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_sword"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_shovel"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_pickaxe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_axe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_hoe"
    }
  ]
}
```

This outcome spawns all Netherite tools on the ground.

### Weight

The "weight" field (defaults to **1**) is used to order the outcomes.

```json
{
  "type": "lucky:group",
  "outcomes": [
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_sword",
      "weight": 10
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_shovel"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_pickaxe",
      "weight": 0
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_axe",
      "weight": {
        "type": "minecraft:uniform",
        "max_inclusive": 11,
        "min_inclusive": 0
      }
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_hoe"
    }
  ]
}
```

This outcome has a small chance to drop the Netherite Axe first, or to not drop it at all. The Netherite Pickaxe will never drop. The Netherite Sword will almost always drop first.

In this scenario, "weight" does not change much, but for other outcome types this can have more impact.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/lucky-block/outcomes/group-outcome.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
